#!/bin/sh
TARGET=$1
shift
PREFIX=$1
shift
BINS=$*

mkdir -p $TARGET/$PREFIX/bin
mkdir -p $TARGET/etc
mkdir -p $TARGET/tmp/cm3s
touch $TARGET/tmp/cm3s/log
chmod -R a+rwx $TARGET/tmp/cm3s
cp $BINS $TARGET/$PREFIX/bin
cp Doc/cm3s.ini $TARGET/etc
#cp scripts/bin_install/spo $TARGET/$PREFIX/bin
cd $TARGET
cp -apr ../scripts/bin_install/install .
tar cvzf ../$TARGET.tgz *
rm -rf *
mv ../$TARGET.tgz .
cp ../scripts/bin_install/install.sh ./install
chmod 700 ./install
cp -apr ../Doc .
ln -s Doc/COPYING COPYING
cd ..
tar cvzf $TARGET.tgz $TARGET
rm -rf $TARGET
